mscorlib 2.0.0.0 4.0.0.0 System.Object System.Runtime.InteropServices.ComVisible(true)

This class is used in conjunction with the class to control how executing code can connect back to the site it was downloaded from. These classes provide programmatic control of the granted to executing code that controls what schemes and ports the code can use access its origin site. You can specify scheme and port pairs that are permitted based on the scheme in the URL where the code originates.

To create a object based on the code's origin scheme, use the method.

To create a object that can use any scheme but is restricted by port, use the method.

Specifies the network resource access that is granted to code.

- Constructor
  2.0.0.0
  4.0.0.0

  The property is set using the parameter. The scheme is converted to lowercase. The value of controls the scheme that executing code can use to connect to a network resource.

  The property is set using the parameter. The value of controls the port that executing code can use to connect to a network resource.

  Initializes a new instance of the class.

  The URI scheme represented by the current instance.
  The port represented by the current instance.
- Field
  2.0.0.0
  4.0.0.0
  System.String

  As an alternative to constructing a object using this value, you can call the method to obtain a object that represents a specified port and any scheme.

  The value of this field is "*".

  Contains the string value that represents the scheme wildcard.

- Method
  2.0.0.0
  4.0.0.0
  System.Security.Policy.CodeConnectAccess ``

  The instance returned by this method uses the scheme wildcard value ("*") to represent the scheme.

  Returns a instance that represents access to the specified port using any scheme.

  A instance for the specified port.

  The port represented by the returned instance.
- Method
  2.0.0.0
  4.0.0.0
  System.Security.Policy.CodeConnectAccess ``

  The instance returned by this method has the scheme value . The origin scheme is the scheme value from the URI where the code originated.

  Returns a instance that represents access to the specified port using the code's scheme of origin.

  A instance for the specified port.

  The port represented by the returned instance.
- Field
  2.0.0.0
  4.0.0.0
  System.Int32 -3

  To create a object that has the default port for a specified scheme, use this field as the parameter of the constructor.

  The value of this field is -3.

  Contains the value used to represent the default port.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  Two objects are equal if their and property values are equal.

  Returns a value indicating whether two objects represent the same scheme and port.

  true if the two objects represent the same scheme and port; otherwise, false.

  The object to compare to the current object.
- Method
  2.0.0.0
  4.0.0.0
  System.Int32 To be added. To be added. To be added.
- Field
  2.0.0.0
  4.0.0.0
  System.Int32 -4

  To create a object that has the same port as the port in the executing code's URL evidence, use this field as the parameter of the constructor.

  The value of this field is -4.

  Contains the value used to represent the port value in the URI where code originated.

- Field
  2.0.0.0
  4.0.0.0
  System.String

  Do not use this field with the constructor. Instead, use the method.

  The value of this field is "$origin".

  Contains the value used to represent the scheme in the URL where the code originated.

- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  Port values are between 0 and 65,535. The port value is specified when you create an instance of .

  Gets the port represented by the current instance.

- Property
  2.0.0.0
  4.0.0.0
  System.String To be added.

  The scheme value is specified when you create an instance of .

  Gets the URI scheme represented by the current instance.